# Net::SSH::Local
[![CircleCI](https://circleci.com/gh/slamotte/net-ssh-local.svg?style=svg)](https://circleci.com/gh/slamotte/net-ssh-local)

This gem is a Net::SSH plugin to streamline localhost deployment. It will streamline localhost operations when the hostname is "localhost" and the user is nil.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'net-ssh-local', require: false
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install net-ssh-local

## Usage

Require in whichever file(s) you'd like to optimize e.g. `Capfile`:

    require 'net/ssh/local'


### Example

`config/deploy/staging_and_local.rb`

    # typically server config is:
    server 'my.remotehost.com', roles: %w{app web}, user: 'deploy', key: '/path/to/key.pem'
    # localhost config is:
    server 'localhost', roles: %w{app web} # no need to set SSH configs.


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/slamotte/net-ssh-local.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
